## camlzip 1.01

=== Makefile ===
### Configuration section

# The name of the Zlib library.  Usually -lz
ZLIB_LIB=-lz

# The directory containing the Zlib library (libz.a or libz.so)
ZLIB_LIBDIR=/usr/lib

# The directory containing the Zlib header file (zlib.h)
ZLIB_INCLUDE=/usr/include

# Where to install the library.  By default: sub-directory 'zip' of
# OCaml's standard library directory.
INSTALLDIR=`$(OCAMLC) -where`/zip

### End of configuration section

OCAMLC=ocamlc -g
OCAMLOPT=ocamlopt
OCAMLDEP=ocamldep
OCAMLMKLIB=ocamlmklib

OBJS=zlib.cmo zip.cmo gzip.cmo
C_OBJS=zlibstubs.o

all: libcamlzip.a zip.cma

allopt: libcamlzip.a zip.cmxa

zip.cma: $(OBJS)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS) \
            -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

zip.cmxa: $(OBJS:.cmo=.cmx)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS:.cmo=.cmx) \
            -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

libcamlzip.a: $(C_OBJS)
	$(OCAMLMKLIB) -oc camlzip $(C_OBJS) \
            -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

.SUFFIXES: .mli .ml .cmo .cmi .cmx

.mli.cmi:
	$(OCAMLC) -c $<
.ml.cmo:
	$(OCAMLC) -c $<
.ml.cmx:
	$(OCAMLOPT) -c $<
.c.o:
	$(OCAMLC) -c -ccopt -g -ccopt -I$(ZLIB_INCLUDE) $<

clean:
	rm -f *.cm*
	rm -f *.o *.a

install:
	mkdir -p $(INSTALLDIR)
	cp zip.cma zip.cmi gzip.cmi zip.mli gzip.mli libcamlzip.a $(INSTALLDIR)
	if test -f dllcamlzip.so; then \
	  cp dllcamlzip.so $(INSTALLDIR); \
          ldconf=`$(OCAMLC) -where`/ld.conf; \
          installdir=$(INSTALLDIR); \
          if test `grep -s -c $$installdir'$$' $$ldconf || :` = 0; \
          then echo $$installdir >> $$ldconf; fi \
        fi

installopt:
	cp zip.cmxa zip.a zip.cmx gzip.cmx $(INSTALLDIR)

depend:
	gcc -MM -I$(ZLIB_INCLUDE) *.c > .depend
	ocamldep *.mli *.ml >> .depend

include .depend

## camlzip 1.04

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 ZLIB_LIB=-lz
 
 # The directory containing the Zlib library (libz.a or libz.so)
-ZLIB_LIBDIR=/usr/lib
+ZLIB_LIBDIR=/usr/local/lib
 
 # The directory containing the Zlib header file (zlib.h)
-ZLIB_INCLUDE=/usr/include
+ZLIB_INCLUDE=/usr/local/include
 
 # Where to install the library.  By default: sub-directory 'zip' of
 # OCaml's standard library directory.

=== test/Makefile ===
all: minizip minigzip

minigzip: ../zip.cma minigzip.ml
	ocamlc -ccopt -g -g -I .. -o minigzip ../zip.cma minigzip.ml

minizip: ../zip.cma minizip.ml
	ocamlc -ccopt -g -g -I .. -o minizip unix.cma ../zip.cma minizip.ml

testzlib: ../zip.cma testzlib.ml
	ocamlc -g -I .. -o testzlib ../zip.cma testzlib.ml

clean:
	rm -f *.cm*
	rm -f minigzip minizip testzlib

## camlzip 1.05

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,9 @@
 installopt:
 	cp zip.cmxa zip.a zip.cmx gzip.cmx $(INSTALLDIR)
 
+install-findlib:
+	ocamlfind install zip META *.mli *.a *.cmi *.cma $(wildcard *.cmxa) $(wildcard *.so)
+
 depend:
 	gcc -MM -I$(ZLIB_INCLUDE) *.c > .depend
 	ocamldep *.mli *.ml >> .depend

=== debian/changelog ===
camlzip (1.05-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2013 22:43:58 +0100

camlzip (1.05-2) experimental; urgency=low

  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 21:36:25 +0200

camlzip (1.05-1) unstable; urgency=low

  [ Ralf Treinen ]
  * New upstream version
  * use upstream's META file instead our own
  * debian/copyright: machine-readable format 1.0. Fix year, and
    copyright holder.
  * source format 3.0 (quilt):
    - add debian/source/format
    - drop build-dependency on quilt
    - drop quilt addon from dh invocation
  * Standards-Version 3.9.4 (no change)
  * Update debian/watch (ocamlforge)
  * Fix typo in long description of libzip-ocaml-dev.
  * Remove Sven Luther from Uploaders (closes:#677754)

  [ Stéphane Glondu ]
  * Fix generation of documentation by dh_ocamldoc

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Ralf Treinen <treinen@debian.org>  Tue, 14 May 2013 16:05:24 +0200

camlzip (1.04-6) unstable; urgency=low

  * Switch patches to quilt
  * debian/rules, debian/control:
    - switch to dh+overrides and dh-ocaml 0.9
    - update versioned dependencies to debhelper, quilt, dh-ocaml and
      ocaml

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Sep 2009 10:45:25 +0200

camlzip (1.04-5) unstable; urgency=low

  * Fix version field in META file
  * Add README.source
  * debian/control:
    - update Standards-Version to 3.8.3
    - update Conflicts/Replaces for libzip-ocaml
    - update my e-mail address and remove DMUA

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Sep 2009 23:01:37 +0200

camlzip (1.04-4) unstable; urgency=low

  * Install zip.a along with zip.cmxa (Closes: #524017)

 -- Stephane Glondu <steph@glondu.net>  Tue, 14 Apr 2009 10:59:42 +0200

camlzip (1.04-3) unstable; urgency=low

  * Add myself to Uploaders and DMUA
  * Move to new archive section ocaml
  * Discriminate binary packages in short descriptions
  * Move .cma and META to libzip-ocaml, build .cmxs
  * Add Homepage field to debian/control
  * Bump Standards-Version to 3.8.1

 -- Stephane Glondu <steph@glondu.net>  Sun, 12 Apr 2009 00:09:00 +0200

camlzip (1.04-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Samuel Mimram ]
  * Use dh-ocaml's predefined variables.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Feb 2009 17:48:49 +0100

camlzip (1.04-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * debian/copyright: mention the usual OCaml linking exception to LGPL

  [ Samuel Mimram ]
  * New upstream release.
  * Build-depend on dh-ocaml.
  * Updated compat to 7.
  * Refreshed uncompress.dpatch.
  * Updated standards version to 3.8.0.
  * Version LGPL reference.

 -- Samuel Mimram <smimram@debian.org>  Tue, 10 Feb 2009 12:35:24 +0100

camlzip (1.03-7) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Recompile with ocaml 3.10.2
  * Capitalization error in short package description
  * Standards-Version 3.7.3 (no change)
  * Added myself to Uploaders.

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 20:31:08 +0200

camlzip (1.03-6) unstable; urgency=low

  * Change distribution to unstable
  * Use ocaml >= 3.10.8 to have the .doc-base.ocamldoc-apiref template

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 05 Sep 2007 13:40:47 +0200

camlzip (1.03-5) experimental; urgency=low

  * Ocamldoc documentation generation (Closes: #334284)
  * Upgrade build-dependency to ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:34:16 +0200

camlzip (1.03-4) experimental; urgency=low

  * Rebuild for ocaml 3.10.0
  * Ignore error in clean target
  * Use binary:Version for versioned dependency
  * Upgrade to debhelper 5

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 14 Jul 2007 02:15:06 +0200

camlzip (1.03-3) unstable; urgency=low

  * Remove produced .so files at clean time, closes: #424150.

 -- Samuel Mimram <smimram@debian.org>  Tue, 15 May 2007 21:58:20 +0200

camlzip (1.03-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:52:20 +0200

camlzip (1.03-1) experimental; urgency=low

  * New upstream release.
  * Improved packaging.
  * Updated uncompress.dpatch.
  * We don't need to remove rpaths anymore.
  * Added myself to uploaders.

 -- Samuel Mimram <smimram@debian.org>  Tue,  6 Mar 2007 23:40:20 +0100

camlzip (1.01-17) unstable; urgency=low

  [ Julien Cristau ]
  * Add build-dep on chrpath and delete rpath from the stublib (fixes lintian
    warning).

  [ Stefano Zacchiroli ]
  * Rebuilt against ocaml 3.09.2, bumped deps accordingly.
  * debian/control
    - bumped Standards-Version (no changes needed)
  * debian/*
    - use the more common 'ocamlinit' target in debian/rules to update the
      hard-coded version of the ocaml ABI. Avoids unintented re-generation of
      debian/control during the build

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 19 May 2006 21:06:10 -0500

camlzip (1.01-16) unstable; urgency=low

  [ Sven Luther ]

  * Rebuilt against ocaml 3.09.0.

  [ Stefano Zacchiroli ]

  * Made svn structure svn-buildpackage friendly
  * debian/control
    - bumped standards version
  * debian/changelog
    - removed dh_make boilerplate
  * Added myself as an Uploader

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Sat, 26 Nov 2005 22:25:12 +0100

camlzip (1.01-15) unstable; urgency=medium

  * Rebuild against ocaml 3.08.3.

 -- Sven Luther <luther@debian.org>  Tue, 22 Mar 2005 08:40:56 +0100

camlzip (1.01-14) unstable; urgency=high

  * Rebuilt for ocaml 3.08.2 unix breakage :/ (Closes: #293904)

 -- Sven Luther <luther@debian.org>  Mon, 14 Feb 2005 09:00:40 +0100

camlzip (1.01-13) unstable; urgency=low

  * Rebuilt for ocaml 3.08.



=== debian/control ===
Source: camlzip
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 zlib1g-dev (>> 1.1.4),
 ocaml-nox (>= 4),
 dpkg-dev (>= 1.13.19),
 dh-ocaml (>= 0.9)
Homepage: http://pauillac.inria.fr/~xleroy/software.html#camlzip
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlzip.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlzip.git

Package: libzip-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Conflicts: libzip-ocaml-dev (<< 1.04-4)
Replaces: libzip-ocaml-dev (<< 1.04-4)
Description: OCaml compression libraries (runtime libraries)
 This Objective Caml library provides easy access to compressed files in ZIP
 and GZIP format, as well as to Java JAR files.  It provides functions
 for reading from and writing to compressed files in these formats.
 .
 This package contains only the shared runtime stub libraries.

Package: libzip-ocaml-dev
Architecture: any
Depends:
 zlib1g-dev (>> 1.1.4),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: camlzip
Replaces: camlzip
Provides: camlzip, ${ocaml:Provides}
Description: OCaml compression libraries (development files)
 This Objective Caml library provides easy access to compressed files in ZIP
 and GZIP format, as well as to Java JAR files.  It provides functions
 for reading from and writing to compressed files in these formats.
 .
 This package contains the development part of the camlzip package.

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=134 .*/camlzip-([0-9.]*)\.tar\.gz

## camlzip 1.06

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,12 @@
 ZLIB_LIB=-lz
 
 # The directory containing the Zlib library (libz.a or libz.so)
-ZLIB_LIBDIR=/usr/local/lib
+ZLIB_LIBDIR=/usr/lib
+# ZLIB_LIBDIR=/usr/local/lib
 
 # The directory containing the Zlib header file (zlib.h)
-ZLIB_INCLUDE=/usr/local/include
+ZLIB_INCLUDE=/usr/include
+# ZLIB_INCLUDE=/usr/local/include
 
 # Where to install the library.  By default: sub-directory 'zip' of
 # OCaml's standard library directory.
@@ -15,8 +17,8 @@
 
 ### End of configuration section
 
-OCAMLC=ocamlc -g
-OCAMLOPT=ocamlopt
+OCAMLC=ocamlc -g -safe-string
+OCAMLOPT=ocamlopt -safe-string
 OCAMLDEP=ocamldep
 OCAMLMKLIB=ocamlmklib
 
@@ -52,7 +54,7 @@
 
 clean:
 	rm -f *.cm*
-	rm -f *.o *.a
+	rm -f *.o *.a *.so
 
 install:
 	mkdir -p $(INSTALLDIR)

=== debian/changelog ===
camlzip (1.06-2build2) bionic; urgency=high

  * No change rebuild against ocaml 4.05.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Oct 2017 23:54:38 +0100

camlzip (1.06-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04 transition.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Jun 2017 22:48:11 +0100

camlzip (1.06-2) unstable; urgency=medium

  * debhelper compatibility level 10
  * dh invocation: options after sequence

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Oct 2016 20:51:31 +0200

camlzip (1.06-1) unstable; urgency=medium

  * New upstream version.
  * Refreshed patches:
    - 0001-Build-system-for-Debian.patch
    - 0002-Use-an-installed-camlzip-for-tests.patch
    - 0003-Add-plain_uncompress.patch
  * Standards-Version 3.9.8 (no change)
  * Updated upstream homepage
  * Updated Vcs-* fields
  * libzip-ocaml: replaced Conflicts with libzip-ocaml-dev (<< 1.04-4)
    by Breaks
  * libzip-ocaml-dev: dropped Conflicts/Replaces/Provides camlzip since
    that binary package disappeared in 2002.
  * Added autopkgtest-style test, using the test provided by upstream

 -- Ralf Treinen <treinen@debian.org>  Sat, 10 Sep 2016 11:43:43 +0200

=== debian/control ===
Source: camlzip
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 10),
 zlib1g-dev (>> 1.1.4),
 ocaml-nox (>= 4),
 dpkg-dev (>= 1.13.19),
 dh-ocaml (>= 0.9)
Homepage: http://forge.ocamlcore.org/projects/camlzip/
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/camlzip.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/camlzip.git

Package: libzip-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: libzip-ocaml-dev (<< 1.04-4)
Replaces: libzip-ocaml-dev (<< 1.04-4)
Description: OCaml compression libraries (runtime libraries)
 This Objective Caml library provides easy access to compressed files in ZIP
 and GZIP format, as well as to Java JAR files.  It provides functions
 for reading from and writing to compressed files in these formats.
 .
 This package contains only the shared runtime stub libraries.

Package: libzip-ocaml-dev
Architecture: any
Depends:
 zlib1g-dev (>> 1.1.4),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml compression libraries (development files)
 This Objective Caml library provides easy access to compressed files in ZIP
 and GZIP format, as well as to Java JAR files.  It provides functions
 for reading from and writing to compressed files in these formats.
 .
 This package contains the development part of the camlzip package.

=== debian/tests/control ===
Tests: upstream
Depends:  libzip-ocaml-dev

## camlzip 1.07

=== Makefile ===
### Configuration section

# The name of the Zlib library.  Usually -lz
ZLIB_LIB=-lz

# The directory containing the Zlib library (libz.a or libz.so)
# Leave empty if libz is in a standard linker directory
ZLIB_LIBDIR=
# ZLIB_LIBDIR=/usr/local/lib

# The directory containing the Zlib header file (zlib.h)
# Leave empty if zlib.h is in a standard compiler directory
ZLIB_INCLUDE=
# ZLIB_INCLUDE=/usr/local/include

# Where to install the library.  By default: sub-directory 'zip' of
# OCaml's standard library directory.
INSTALLDIR=`$(OCAMLC) -where`/zip

### End of configuration section

OCAMLC=ocamlc -g -safe-string
OCAMLOPT=ocamlopt -safe-string
OCAMLDEP=ocamldep
OCAMLMKLIB=ocamlmklib

OBJS=zlib.cmo zip.cmo gzip.cmo
C_OBJS=zlibstubs.o

NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)

ifeq "${NATDYNLINK}" "YES"
CMXS = zip.cmxs
endif

ZLIB_L_OPT=$(if $(ZLIB_LIBDIR),-L$(ZLIB_LIBDIR)) 
ZLIB_I_OPT=$(if $(ZLIB_INCLUDE),-ccopt -I$(ZLIB_INCLUDE)) 

all: libcamlzip.a zip.cma

allopt: libcamlzip.a zip.cmxa $(CMXS)

zip.cma: $(OBJS)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS) \
            $(ZLIB_L_OPT) $(ZLIB_LIB)

zip.cmxa: $(OBJS:.cmo=.cmx)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS:.cmo=.cmx) \
            $(ZLIB_L_OPT) $(ZLIB_LIB)

zip.cmxs: zip.cmxa
	$(OCAMLOPT) -shared -linkall -I ./ -o $@ $^

libcamlzip.a: $(C_OBJS)
	$(OCAMLMKLIB) -oc camlzip $(C_OBJS) \
            $(ZLIB_L_OPT) $(ZLIB_LIB)

.SUFFIXES: .mli .ml .cmo .cmi .cmx

.mli.cmi:
	$(OCAMLC) -c $<
.ml.cmo:
	$(OCAMLC) -c $<
.ml.cmx:
	$(OCAMLOPT) -c $<
.c.o:
	$(OCAMLC) -c -ccopt -g $(ZLIB_I_OPT) $<

clean:
	rm -f *.cm*
	rm -f *.o *.a *.so

install:
	mkdir -p $(INSTALLDIR)
	cp zip.cma zip.cmi gzip.cmi zlib.cmi zip.mli gzip.mli zlib.mli libcamlzip.a $(INSTALLDIR)
	if test -f dllcamlzip.so; then \
	  cp dllcamlzip.so $(INSTALLDIR); \
          ldconf=`$(OCAMLC) -where`/ld.conf; \
          installdir=$(INSTALLDIR); \
          if test `grep -s -c $$installdir'$$' $$ldconf || :` = 0; \
          then echo $$installdir >> $$ldconf; fi \
        fi

installopt:
	cp zip.cmxa $(CMXS) zip.a zip.cmx gzip.cmx zlib.cmx $(INSTALLDIR)

install-findlib:
	cp META-zip META && \
        ocamlfind install zip META *.mli *.a *.cmi *.cma $(wildcard *.cmx) $(wildcard *.cmxa) $(wildcard *.cmxs) $(wildcard *.so) && \
        rm META
	cp META-camlzip META && \
        ocamlfind install camlzip META && \
        rm META

depend:
	gcc -MM $(ZLIB_I_OPT) *.c > .depend
	ocamldep *.mli *.ml >> .depend

include .depend

=== debian/changelog ===
camlzip (1.07-2) unstable; urgency=medium

  * fix as-installed test: put compilation commands in testscript,
    instead of using upstreams Makefile (closes: #901169)

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Jun 2018 21:52:05 +0200

camlzip (1.07-1) unstable; urgency=medium

  * New upstream release (closes: #900445)
    - refreshed patch 0003-Add-plain_uncompress.patch
  * updated debian/watch to github
  * updated homepage to github
  * updated Vcs-* fields to salsa
  * Standards-Version 4.1.4:
    - https in d/copyright format header
  * rewrite installation:
    - debian/rules: use install-findlib from upstream's makefile, and move
      manually dll* into stublibs
    - adjusted d/*.install.in accordingly
    - d/control: add build-dependency on ocaml-findlib
    - drop patch 0001-Build-system-for-Debian 
  * d/rules: drop explicit building of zip.{cmxa,cmxs} since it is done
    now by the upstream Makefile
  * debhelper compat level 11
  * Dropped patch 0002-Use-an-installed-camlzip-for-tests as we now have
    as-installed tests for that
  * Bumped version of build-dependency ocaml, following upstream instructions
  * Dropped build-dependency on dpkg-dev since it was constrained >= a version
    from 2006

 -- Ralf Treinen <treinen@debian.org>  Fri, 08 Jun 2018 21:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: camlzip
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  zlib1g-dev (>> 1.1.4),
- ocaml-nox (>= 4),
- dpkg-dev (>= 1.13.19),
+ ocaml-nox (>= 4.02),
+ ocaml-findlib,
  dh-ocaml (>= 0.9)
-Homepage: http://forge.ocamlcore.org/projects/camlzip/
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/camlzip.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/camlzip.git
+Homepage: http://github.com/xavierleroy/camlzip/
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
 
 Package: libzip-ocaml
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBINSTALL = $(CURDIR)/debian/tmp/usr/lib/ocaml

%:
	dh  $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE)
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) allopt
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(LIBINSTALL)
	OCAMLFIND_DESTDIR=$(LIBINSTALL) OCAMLFIND_LDCONF=ignore \
		$(MAKE) install-findlib
	mkdir -p $(LIBINSTALL)/stublibs
	mv $(LIBINSTALL)/zip/dll*.so $(LIBINSTALL)/stublibs

=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/" \
    https://github.com/xavierleroy/camlzip/releases .*/(.*)\.tar\.gz

## camlzip 1.08

=== Makefile ===
### Configuration section

# The name of the Zlib library.  Usually -lz
ZLIB_LIB=-lz

# The directory containing the Zlib library (libz.a or libz.so)
# Leave empty if libz is in a standard linker directory
ZLIB_LIBDIR=
# ZLIB_LIBDIR=/usr/local/lib

# The directory containing the Zlib header file (zlib.h)
# Leave empty if zlib.h is in a standard compiler directory
ZLIB_INCLUDE=
# ZLIB_INCLUDE=/usr/local/include

### End of configuration section

OCAMLC=ocamlfind ocamlc -g -safe-string
OCAMLOPT=ocamlfind ocamlopt -safe-string
OCAMLDEP=ocamlfind ocamldep
OCAMLMKLIB=ocamlfind ocamlmklib

OBJS=zlib.cmo zip.cmo gzip.cmo
C_OBJS=zlibstubs.o

include $(shell ocamlfind ocamlc -where)/Makefile.config

ifeq "${NATDYNLINK}" "true"
CMXS = zip.cmxs
endif

ZLIB_L_OPT=$(if $(ZLIB_LIBDIR),-L$(ZLIB_LIBDIR))
ZLIB_I_OPT=$(if $(ZLIB_INCLUDE),-ccopt -I$(ZLIB_INCLUDE))

all: libcamlzip$(EXT_LIB) zip.cma

allopt: libcamlzip$(EXT_LIB) zip.cmxa $(CMXS)

zip.cma: $(OBJS)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS) \
            $(ZLIB_L_OPT) $(ZLIB_LIB)

zip.cmxa: $(OBJS:.cmo=.cmx)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS:.cmo=.cmx) \
            $(ZLIB_L_OPT) $(ZLIB_LIB)

zip.cmxs: zip.cmxa
	$(OCAMLOPT) -shared -linkall -I ./ -o $@ $^

libcamlzip$(EXT_LIB): $(C_OBJS)
	$(OCAMLMKLIB) -oc camlzip $(C_OBJS) \
            $(ZLIB_L_OPT) $(ZLIB_LIB)

.SUFFIXES: .mli .ml .cmo .cmi .cmx

.mli.cmi:
	$(OCAMLC) -c $<
.ml.cmo:
	$(OCAMLC) -c $<
.ml.cmx:
	$(OCAMLOPT) -c $<
.c.o:
	$(OCAMLC) -c -ccopt -g $(ZLIB_I_OPT) $<

clean:
	rm -f *.cm*
	rm -f *.o *.a *.so
	rm -rf doc/

install-findlib: install
install:
	cp META-zip META && \
        ocamlfind install zip META *.mli *.a *.cmi *.cma $(wildcard *.cmx) $(wildcard *.cmxa) $(wildcard *.cmxs) $(wildcard *$(EXT_DLL)) && \
        rm META
	cp META-camlzip META && \
        ocamlfind install camlzip META && \
        rm META

depend:
	gcc -MM $(ZLIB_I_OPT) *.c > .depend
	$(OCAMLDEP) *.mli *.ml >> .depend

include .depend

doc: *.mli
	mkdir -p doc
	ocamldoc -d doc/ -html *.mli

=== debian/changelog ===
camlzip (1.08-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Ralf Treinen ]
  * New upstream release
  * Build-depend on debian-compat and drop debian/compat file.
  * DH compat level 12 (no change)
  * Standards-Version 4.4.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Jul 2019 21:02:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (=12),
  zlib1g-dev (>> 1.1.4),
  ocaml-nox (>= 4.02),
  ocaml-findlib,
  dh-ocaml (>= 0.9)
-Homepage: http://github.com/xavierleroy/camlzip/
-Standards-Version: 4.1.4
+Homepage: https://github.com/xavierleroy/camlzip/
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip

## camlzip 1.09

=== debian/changelog ===
camlzip (1.09-2build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:31:06 +0000

camlzip (1.09-2) unstable; urgency=medium

  * patch tests-ocaml4.08: migrate a test to ocaml4.08 (closes: #944280)
  * debian/watch: use dversionmangle to cope with the strange habitude of
    upstream to not separate the parts of a version by a dot.

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Nov 2019 22:27:13 +0100

camlzip (1.09-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 01 Nov 2019 21:58:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: camlzip
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
@@ -13,7 +14,7 @@
  ocaml-findlib,
  dh-ocaml (>= 0.9)
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip

=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\.//" \
    https://github.com/xavierleroy/camlzip/releases .*/rel(.*)\.tar\.gz

## camlzip 1.10

=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: minizip minigzip
+all: minizip minigzip testzlib
 
 minigzip: ../zip.cma minigzip.ml
 	ocamlc -ccopt -g -g -I .. -o minigzip ../zip.cma minigzip.ml

=== debian/changelog ===
camlzip (1.10-1) unstable; urgency=medium

  * New upstream release
  * Fix debian/watch
  * Remove Samuel from Uploaders
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 08:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: camlzip
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (= 13),
  zlib1g-dev (>> 1.1.4),
  ocaml-nox (>= 4.02),
  ocaml-findlib,
- dh-ocaml (>= 0.9)
+ dh-ocaml
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip

## camlzip 1.11

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 ### End of configuration section
 
-OCAMLC=ocamlfind ocamlc -g -safe-string
+OCAMLC=ocamlfind ocamlc -g -safe-string -bin-annot
 OCAMLOPT=ocamlfind ocamlopt -safe-string
 OCAMLDEP=ocamlfind ocamldep
 OCAMLMKLIB=ocamlfind ocamlmklib
@@ -26,30 +26,34 @@
 include $(shell ocamlfind ocamlc -where)/Makefile.config
 
 ifeq "${NATDYNLINK}" "true"
-CMXS = zip.cmxs
+ZIP_CMXS = zip.cmxs
 endif
 
 ZLIB_L_OPT=$(if $(ZLIB_LIBDIR),-L$(ZLIB_LIBDIR))
 ZLIB_I_OPT=$(if $(ZLIB_INCLUDE),-ccopt -I$(ZLIB_INCLUDE))
 
-all: libcamlzip$(EXT_LIB) zip.cma
+all:: allbyt
+ifneq "${ARCH}" "none"
+ifneq "${NATIVE_COMPILER}" "false"
+all:: allopt
+endif
+endif
 
-allopt: libcamlzip$(EXT_LIB) zip.cmxa $(CMXS)
+allbyt: libcamlzip$(EXT_LIB) zip.cma
+
+allopt: libcamlzip$(EXT_LIB) zip.cmxa $(ZIP_CMXS)
 
 zip.cma: $(OBJS)
-	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS) \
-            $(ZLIB_L_OPT) $(ZLIB_LIB)
+	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS) $(ZLIB_L_OPT) $(ZLIB_LIB)
 
 zip.cmxa: $(OBJS:.cmo=.cmx)
-	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS:.cmo=.cmx) \
-            $(ZLIB_L_OPT) $(ZLIB_LIB)
+	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS:.cmo=.cmx) $(ZLIB_L_OPT) $(ZLIB_LIB)
 
-zip.cmxs: zip.cmxa
+zip.cmxs: zip.cmxa libcamlzip$(EXT_LIB)
 	$(OCAMLOPT) -shared -linkall -I ./ -o $@ $^
 
 libcamlzip$(EXT_LIB): $(C_OBJS)
-	$(OCAMLMKLIB) -oc camlzip $(C_OBJS) \
-            $(ZLIB_L_OPT) $(ZLIB_LIB)
+	$(OCAMLMKLIB) -oc camlzip $(C_OBJS) $(ZLIB_L_OPT) $(ZLIB_LIB)
 
 .SUFFIXES: .mli .ml .cmo .cmi .cmx
 
@@ -67,14 +71,24 @@
 	rm -f *.o *.a *.so
 	rm -rf doc/
 
+TOINSTALL=\
+  *.cma *$(EXT_LIB) \
+  *.mli *.cmi *.cmti *.cmt  \
+  $(wildcard *.cmx) $(wildcard *.cmxa) \
+  $(wildcard *.cmxs) $(wildcard *$(EXT_DLL))
+
 install-findlib: install
 install:
 	cp META-zip META && \
-        ocamlfind install zip META *.mli *.a *.cmi *.cma $(wildcard *.cmx) $(wildcard *.cmxa) $(wildcard *.cmxs) $(wildcard *$(EXT_DLL)) && \
+        ocamlfind install zip META $(TOINSTALL) && \
         rm META
 	cp META-camlzip META && \
         ocamlfind install camlzip META && \
         rm META
+
+uninstall:
+	ocamlfind remove zip
+	ocamlfind remove camlzip
 
 depend:
 	gcc -MM $(ZLIB_I_OPT) *.c > .depend

=== test/Makefile ===
all: test-testzlib test-minizip test-minigzip

minigzip: ../zip.cmxa minigzip.ml
	ocamlopt -ccopt -g -g -I .. -o minigzip ../zip.cmxa minigzip.ml

test-minigzip: minigzip minigzip.run
	sh ./minigzip.run

minizip: ../zip.cmxa minizip.ml
	ocamlopt -ccopt -g -g -I .. -o minizip unix.cmxa ../zip.cmxa minizip.ml

test-minizip: minizip minizip.run
	sh ./minizip.run

testzlib: ../zip.cmxa testzlib.ml
	ocamlopt -g -I .. -o testzlib ../zip.cmxa testzlib.ml

test-testzlib: testzlib testzlib.run
	sh ./testzlib.run

clean:
	rm -f *.cm*
	rm -f minigzip minizip testzlib

=== debian/changelog ===
camlzip (1.11-1) unstable; urgency=medium

  * New upstream release
  * Patch meta-version-1.11: fix version in META file
  * Standards-Version 4.6.0 (no change)
  * Install README.md instead of README
  * Install *.cmt and *.cmti files
  * Add lintian override concerning META.zip which is in fact not a
    zip file
  * Bump build-dependency on ocaml to 4.07, as indicated by upstream
  * Add debian/upstream/metadata

 -- Ralf Treinen <treinen@debian.org>  Mon, 25 Oct 2021 21:07:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  zlib1g-dev (>> 1.1.4),
- ocaml-nox (>= 4.02),
+ ocaml-nox (>= 4.07),
  ocaml-findlib,
  dh-ocaml
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip

=== debian/tests/control ===
Tests: upstream
Depends:  ocaml-nox, libzip-ocaml-dev

=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/;s/(..)$/.$1/" \
    https://github.com/xavierleroy/camlzip/releases .*/rel(.*)\.tar\.gz

## camlzip 1.12

=== debian/changelog ===
camlzip (1.12-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:34:58 +0200

camlzip (1.12-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:09:42 +0200

camlzip (1.12-2) unstable; urgency=medium

  * Fix autopkgtest with OCaml 5.2.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 20 Jul 2024 18:21:57 +0200

camlzip (1.12-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2024 13:38:18 +0200

camlzip (1.11-3) unstable; urgency=medium

  * Note that patch meta-version-1.11 has been forwarded to upstream
  * Update debian/watch, now using the github API
  * Lintian-override: reduce context so that it does match again

 -- Ralf Treinen <treinen@debian.org>  Thu, 29 Feb 2024 08:13:08 +0100

camlzip (1.11-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on zlib1g-dev (>> 1.1.4).
    + libzip-ocaml: Drop conflict with removed package libzip-ocaml-dev (<<
      1.04-4) in Replaces.
    + libzip-ocaml: Drop conflict with removed package libzip-ocaml-dev (<<
      1.04-4) in Breaks.
    + libzip-ocaml-dev: Drop versioned constraint on zlib1g-dev (>> 1.1.4) in
      Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2023 09:18:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- zlib1g-dev (>> 1.1.4),
- ocaml-nox (>= 4.07),
+ zlib1g-dev,
+ ocaml,
  ocaml-findlib,
  dh-ocaml
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
@@ -24,8 +24,6 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Breaks: libzip-ocaml-dev (<< 1.04-4)
-Replaces: libzip-ocaml-dev (<< 1.04-4)
 Description: OCaml compression libraries (runtime libraries)
  This Objective Caml library provides easy access to compressed files in ZIP
  and GZIP format, as well as to Java JAR files.  It provides functions
@@ -36,7 +34,7 @@
 Package: libzip-ocaml-dev
 Architecture: any
 Depends:
- zlib1g-dev (>> 1.1.4),
+ zlib1g-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}

## camlzip 1.13

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 ### End of configuration section
 
-OCAMLC=ocamlfind ocamlc -g -safe-string -bin-annot
-OCAMLOPT=ocamlfind ocamlopt -safe-string
+OCAMLC=ocamlfind ocamlc -g -safe-string -bin-annot -package unix
+OCAMLOPT=ocamlfind ocamlopt -safe-string -package unix
 OCAMLDEP=ocamlfind ocamldep
 OCAMLMKLIB=ocamlfind ocamlmklib

=== test/Makefile ===
all: test-testzlib test-minizip test-minigzip

OCAMLOPT=ocamlfind ocamlopt -safe-string -package unix -linkpkg

minigzip: ../zip.cmxa minigzip.ml
	$(OCAMLOPT) -ccopt -g -g -I .. -o minigzip ../zip.cmxa minigzip.ml

test-minigzip: minigzip minigzip.run
	sh ./minigzip.run

minizip: ../zip.cmxa minizip.ml
	$(OCAMLOPT) -ccopt -g -g -I .. -o minizip ../zip.cmxa minizip.ml

test-minizip: minizip minizip.run
	sh ./minizip.run

testzlib: ../zip.cmxa testzlib.ml
	$(OCAMLOPT) -g -I .. -o testzlib ../zip.cmxa testzlib.ml

test-testzlib: testzlib testzlib.run
	sh ./testzlib.run

clean:
	rm -f *.cm*
	rm -f minigzip minizip testzlib

=== debian/changelog ===
camlzip (1.13-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:53:12 +0200

camlzip (1.13-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 20:17:42 +0100

camlzip (1.13-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2024 21:25:31 +0100

=== debian/tests/control ===
Tests: upstream
Depends:  ocaml, libzip-ocaml-dev
